package com.pacpac.robocontrol;

import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.*;

public class RoboControl extends MIDlet implements CommandListener {
	protected ControlCanvas controlCanvas;
    protected String url483 = "btspp://00137B5303FF:1;authenticate=true;encrypt=false;master=false";
    protected String url544 = "btspp://00137B52E060:1;authenticate=true;encrypt=false;master=false";
    public TextBox tbxMain;
    private Command cmdExit;
    
    private Command cmdConnect483;
    private Command cmdConnect544;
    private Command cmdDisconnect;
    
    public void startApp() {
        
    	cmdExit = new Command( "Exit", Command.EXIT, 1 );
    	cmdDisconnect = new Command( "Disconnect", Command.SCREEN, 1 );
    	cmdConnect483 = new Command( "Connect TX-483", Command.SCREEN, 2 );
    	cmdConnect544 = new Command( "Connect TX-544", Command.SCREEN, 3 );

    	tbxMain = new TextBox("ROBO Control", "Select Device", 50, TextField.UNEDITABLE);
    	tbxMain.addCommand(cmdConnect483);
    	tbxMain.addCommand(cmdConnect544);
    	tbxMain.addCommand(cmdExit);
    	tbxMain.setCommandListener(this);
    	
    	controlCanvas = new ControlCanvas(this);
    	controlCanvas.addCommand(cmdExit);
    	controlCanvas.addCommand(cmdDisconnect);
    	controlCanvas.setCommandListener(this);
    	
    	Display.getDisplay( this ).setCurrent(tbxMain);
    }
    
    public void pauseApp() {
    }

    public void destroyApp(boolean unconditional) {
    }

    public void commandAction( Command command, Displayable displayable ) {
        if( command == cmdExit ) {    
            notifyDestroyed();
        }
        if( command == cmdConnect483 ) {
        	controlCanvas.connect(url483);
        	Display.getDisplay( this ).setCurrent(controlCanvas);
        }    
        if( command == cmdConnect544 ) {
        	controlCanvas.connect(url544);
        	Display.getDisplay( this ).setCurrent(controlCanvas);
        }   
        if( command == cmdDisconnect ) {
        	controlCanvas.disconnect();
        	Display.getDisplay( this ).setCurrent(tbxMain);
        } 
    }
}
